
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Multiresolution Recurrent Neural Networks: An Application to... / iVAN</title>

    <meta name="description" content="Multiresolution Recurrent Neural Networks: An Application to... 昨天介绍了一篇工程性比较强的paper,关于对话生成(bot)任务的,今天继续分享一篇bot方面的paper,6月2日刚刚submit在arxiv上.昨天的文章用了一种最最简单的端到端模型来生成对话,取得了不错的结果,而本文用了一种更加复杂的模型来解决这个问题,取得了更好的结果.文章的题目是Multiresolution Recurrent Neural Networks: An Application to Dialogue Response Generation,作者是来自蒙特利尔大学的博士">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Multiresolution Recurrent Neural Networks: An Application to...</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>昨天介绍了一篇工程性比较强的paper，关于对话生成（bot）任务的，今天继续分享一篇bot方面的paper，6月2日刚刚submit在arxiv上。昨天的文章用了一种最最简单的端到端模型来生成对话，取得了不错的结果，而本文用了一种更加复杂的模型来解决这个问题，取得了更好的结果。文章的题目是Multiresolution Recurrent Neural Networks: An Application to Dialogue Response Generation，作者是来自蒙特利尔大学的博士生Iulian Vlad Serban。</p>
<p>本文最大的贡献在于提出了一种多尺度循环神经网络（Multiresolution RNN,MrRNN），这里的多尺度是指描述文本序列的方式有多种尺度，不仅仅是传统的用一个又一个word来表示序列，这种表示称为自然语言表示，还包括了一种所谓的high-level信息来表示文本序列，这种表示称为粗糙序列表示。本文的模型受启发于分层循环端到端模型（Hierarchical Recurrent Encoder-Decoder，HERD），该模型应用于搜索领域，将用户的search session划分为两个层次的序列，一个是query的序列，一个是每个query中词的序列。</p>
<p>本文模型中一个非常重要的部分是数据的预处理，将训练数据中的所谓high-level信息提取出来构造第二种序列来表示整个文本，这里用了两种思路。</p>
<p>1、提取文本中的名词。用词性标注工具提取出文本中的名词，去掉停用词和重复的词，并且保持原始的词序，还添加了句子的时态。通过这个过程构造了一种表示原始文本的序列。</p>
<p>2、提取文本中的动词和命名实体。用词性标注工具提取文本中的动词，并标记为activity，然后通过一些其他工具从所有训练数据中构造了一个命名实体的词典，帮助提取原句中的命名实体。因为数据集是ubuntu对话数据集，会涉及到大量的linux命令，所以还构造了一个linux命令词典，以标记原句中的命令。同样地也添加了句子的时态。通过这个处理过程，构造了另外一种表示原始文本的序列。</p>
<p>两种处理方法将原句用一种关键词的形式表示出来，尤其是第二种方法针对Ubuntu数据集的特点，包含了非常多的特征进来。这样的表示本文称为coarse sequence representation，包含了high-level的信息，比起单纯的word by word sequence具有更加丰富的意义。</p>
<p>接下来，看一下本文模型的架构图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpei9WQmNEMDJqRmhnbWJWODdpYU9SMENHWTV0WlpSeHRPZHVYeWliRThrbDlpY1JBaWNvVFduWmdFMGFRN3VwaWI2U2NrT0luNEZWcDJOTW9xNGVrMjNienZNWnhRLzY0MD93eF9mbXQ9cG5nJmFtcDt0cD13ZWJwJmFtcDt3eGZyb209NSZhbXA7d3hfbGF6eT0x.jpg"></p>
<p>模型中包括了两个层次，或者说是两种尺度，一种用了很多的词来表示一个句子，另外一种用了经过处理的包含了更加重要的信息的词来表示一个句子。下层生成的预测值将会作为上层docoder在做预测时的context的一部分，这部分context包含了重要的、high-level的信息，再加上上层自己encoder的输出也作为context，可以说这个模型的context包含了非常丰富的内容。理解上面的图，只要仔细看好箭头的指向，也就明白了各个部分的输入输出是哪些。每个time step的数据流过程如下：</p>
<p>下层：coarse encoder -&gt; coarse context -&gt; coarse decdoer -&gt; coarse predciton encoder</p>
<p>上层：natural language encoder -&gt; <strong>(natural language context + coarse prediction encoder)</strong> -&gt; natural language decoder -&gt; natural language prediction</p>
<p>不管是用自动评价指标还是人工评价，结果都表明了本文的模型效果比baseline要高出很多个百分点，远远好于其他模型。下面展示一个结果，是ubuntu数据集上的测试效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvbW1iaXoucXBpYy5jbi9tbWJpei9WQmNEMDJqRmhnbWJWODdpYU9SMENHWTV0WlpSeHRPZHVGcmlhS3I3eHpiYlpSc2s3eWNIdVE3ODlpY2ExTjJXMWoxdGx2dGp6eVZmVWN6ZEZNUDJENGNpY2cvNjQwP3d4X2ZtdD1wbmcmYW1wO3RwPXdlYnAmYW1wO3d4ZnJvbT01JmFtcDt3eF9sYXp5PTE=.jpg"></p>
<p>可以看的出本文模型生成的结果效果比其他模型好很多。</p>
<p>本文模型并不是一个纯粹的数据驱动的模型，在初始的阶段需要做一些非常重要的数据预处理，正是这个预处理得到的序列表示给本文的好结果带来了保证。我想，这种处理问题的思路可以推广到解决其他问题上，虽然本文模型很难直接应用到其他问题上，但我相信经过一些不大的变化之后，可以很好地解决其他问题，比如我一直关注的自动文摘问题，还有机器翻译、自动问答等等各种涉及到自然语言生成问题的任务上。这篇文章的结果也支持了我之前的一个观点，就是在解决问题上不可能存在银弹，不同的问题虽然可以经过一些假设变成相同的数学问题，但真正在应用中，不同的问题就是具有不同的特点，如果只是想用一种简单粗暴的data driven模型来解决问题的话，相信效果会不如结合着一些该问题feature的模型。</p>
<p>来源：paperweekly</p>
<p><a href="https://mp.weixin.qq.com/s/5rKcxTJbRObdeIzptq4iPw" rel="external nofollow noreferrer">原文链接</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:07:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ba%8f%e5%88%97/" title="序列">序列</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Multiresolution Recurrent Neural Networks: An Application to...的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Jrl4b.html" rel="bookmark">循环神经网络&lpar;RNN&comma; Recurrent Neural Networks&rpar;介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				循环神经网络(RNN, Recurrent Neural Networks)介绍    这篇文章很多内容是参考:http://www.wildml.com/2015/09/recurrent-neural-networks-tutorial-part-1-introduction-to-rnns/,在这篇文章中,加入了一些新的内容与一些自己的理解.   循环神经网络(Recurrent Neural Networks,RNNs)已经在众多自然语言处理(Natural Language Proce			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOV8Nb.html" rel="bookmark">Attention and Augmented Recurrent Neural Networks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Attention and Augmented Recurrent Neural Networks CHRIS OLAHGoogle Brain   SHAN CARTERGoogle Brain   Sept. 8 2016   Citation: Olah &amp; Carter, 2016   Recurrent neural networks are one of the staples of deep learning, allowing neural networks to work wi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0mW1p.html" rel="bookmark">&lpar;zhuan&rpar; Attention in Long Short-Term Memory Recurrent Neural Networks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Attention in Long Short-Term Memory Recurrent Neural Networks by Jason Brownlee on June 30, 2017 in Deep Learning   The Encoder-Decoder architecture is popular because it has demonstrated state-of-the-art results across a range of domains. A limitati			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmj3N7z.html" rel="bookmark">&lpar;zhuan&rpar; Recurrent Neural Network</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Recurrent Neural Network  2016年07月01日  Deep learning  Deep learning 字数:24235   this blog from: http://jxgu.cc/blog/recent-advances-in-RNN.html    References Robert Dionne Neural Network Paper Notes Baisc Improvements 20170326 Learning Simpler Langu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWNxenb.html" rel="bookmark">&lpar;zhuan&rpar; How to Train Neural Networks With Backpropagation</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				this blog from: http://blog.demofox.org/2017/03/09/how-to-train-neural-networks-with-backpropagation/   How to Train Neural Networks With Backpropagation Posted on March 9 2017 by Demofox This post is an attempt to demystify backpropagation, which is			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ40DBM.html" rel="bookmark">&lpar;zhuan&rpar; Building Convolutional Neural Networks with Tensorflow</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ahmet Taspinar  Home About Contact Building Convolutional Neural Networks with Tensorflow Posted on augustus 15, 2017 adminPosted in convolutional neural networks, deep learning, tensorflow 1. Introduction In the past I have mostly written about 'cla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEg82qp.html" rel="bookmark">Recurrent Convolutional Neural Networks for Text Classification</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				介绍了CNN表示文本的模型之后,本篇将会分享一篇用CNN结合RNN的模型来表示文本.paper题目是Recurrent Convolutional Neural Networks for Text Classification,作者是来自中科院大学的来斯惟博士. 本文要解决的问题是文本分类,文本分类最关键的问题是特征表示,传统的方法经常会忽略上下文信息和词序,无法捕捉到词义.近几年随着深度学习的火热,研究者们通过借助神经网络模型来解决传统方法存在的问题.比如:Socher提出的Recursive			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnwLDZz.html" rel="bookmark">论文笔记之：Spatially Supervised Recurrent Convolutional Neural Networks for Visual Object Tracking</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Spatially Supervised Recurrent Convolutional Neural Networks for Visual Object Tracking  arXiv Paper   Project Page:http://guanghan.info/projects/ROLO/ GitHub:https://github.com/wangxiao5791509/ROLO 摘要:本文提出了一种新的方法进行空间监督 RCNN 来进行目标跟踪.我们通过深度神经网络来学习到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlKOqp.html" rel="bookmark">Hacker&amp;amp&semi;&num;39&semi;s guide to Neural Networks</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PS:   许多同学对于机器学习及深度学习的困惑在于,数学方面已经大致理解了,但是动起手来却不知道如何下手写代码.斯坦福深度学习博士Andrej Karpathy写了一篇实战版本的深度学习及机器学习教程,手把手教你用Javascript写神经网络和SVM!!我还没怎么看... Hacker's guide to Neural Networks Hi there, I'm a CS PhD student at Stanford. I've worked on Deep Learning for			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQkK8p.html" rel="bookmark" class="title">JBuilder2005 Struts深度体验之升级</a>
					<div>
						用Action控制器替换switch.jsp 在&lt;JBuilder 2005 Servlet高级开发&gt;中我们介绍了用户登录模块的流程,其中switch.jsp充当一个业务处理和页面转发的中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boakEp.html" rel="bookmark" class="title">浅析：网页质量度被哪些因素影响</a>
					<div>
						站内页面质量是网站权重最重要的组成部分之一,由网站的内容.标题.页面布局.内链等多种因素构成,这些因素直接反应了网站页面质量度的高低.那么我们该如何来控制这些因素呢? 1.加载速度 加载速度是网页带给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo9ggp.html" rel="bookmark" class="title">实例分析：中小型旅游网站如何站内优化</a>
					<div>
						随着百度投资去哪儿,阿里巴巴投资穷游网,携程.艺龙战略转型的市场变化,中小型旅游网站面临着更窘迫的环境.除了常规的竞价优化,提高用户体验和搜索引擎体验,是中小型旅游网站必须要加强的部分.今天主要分享中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXOZLM.html" rel="bookmark" class="title">Oracle Database 10g&colon;删除表</a>
					<div>
						oracle 使用 Oracle Database 10g 中的闪回表特性,可以毫不费力地恢复被意外删除的表 以下是一个不该发生却经常发生的情况:用户删除了一个非常重要的表 - 当然是意外地删除 -  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM68Bgz.html" rel="bookmark" class="title">selenium-webdriver&lpar;python&rpar; &lpar;九&rpar; 上传文件</a>
					<div>
						本节重点: 上传文件 文件上传操作也比较常见功能之一,上传功能没有用到新有方法或函数,关键是思路. 上传过程一般要打开一个本地窗口,从窗口选择本地文件添加.所以,一般会卡在如何操作本地窗口添加上传文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvky6p.html" rel="bookmark" class="title">CUDA内存访问（一）提高篇------按部就班 ------GPU的革命</a>
					<div>
						谈到内存的访问,其实也就是几个API函数的调用,感觉也没什么好讲的,知道cudaMalloc,知道cudaMemcpy,还有cudaFree,就应该可以对device上的内存进行分配,然后就可以在de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaAA3M.html" rel="bookmark" class="title">识别和防御Web网页木马的几种方法</a>
					<div>
						根据反病毒厂商Sophos今年的第一.第二季度报告,网页已经超过电子邮件成为恶意软件传播时最喜欢使用的途径,通过网页传播的恶意软件平均每月增加300多种.而对用户来说,因为用户自己在互联网浏览时的安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A89Rp.html" rel="bookmark" class="title">创建可透明、可移动的位图型不规则窗体</a>
					<div>
						在Form上添加一个OpenPictureDialog,添加一个Image,并为其添加一个图片.再加一个PopupMenu,并创建两个菜单项,一个是Open1,一个是Exit1,其中前者是打开图象文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ZZ9p.html" rel="bookmark" class="title">SQL Server查询设计应避免的10个错误</a>
					<div>
						在这篇文章中,将会列出10个常见的需要避免的查询设计错误.阅读此文,确保你不会成为这些错误的受害者,考虑给出的建议,修改你的查询. 1.数据模型和并发查询 如果你在构建数据模型的时候没有考虑到数据的访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2A44b.html" rel="bookmark" class="title">SQLServer2005及以上存储过程分页方法</a>
					<div>
						  最近实习期间,项目开发过程中遇到了分页问题,问题如下: 在项目开发过程中,往往会遇到展示展示内容的问题.当内容数量不多的时候,我们直接用一条&quot;SELECT * FROM ...&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOxZLM.html" rel="bookmark" class="title">PHP time</a>
					<div>
						time_nanosleep() 函数延迟代码执行若干秒和纳秒   定义和用法 time_nanosleep() 函数延迟代码执行若干秒和纳秒. 语法 time_nanosleep(seconds,n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBRKYz.html" rel="bookmark" class="title">git命令添加 修改 删除 冲突解决办法</a>
					<div>
						  如果对git命令行不熟悉的话,用git图形界面工具,就比较合适了.建议使用tortoisegit这样的工具,命令行从学习到灵活掌握的时间成本比较高的. 1,添加 # git clone git@1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBYWNz.html" rel="bookmark" class="title">Windows 7 Windows 8如何使用蓝牙传输文件</a>
					<div>
						  操作步骤: 1. 按键盘上的win+R的组合按键,输入fsquirt回车,(或者右击附件中的文件以管理员身份运行)如图: 2. 之后会出现一个蓝牙文件接收和发送的选项,点击&quot;发送文件&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdP54M.html" rel="bookmark" class="title">net use与shutdown配合使用，本机重启远程服务器</a>
					<div>
						今天服务器出现问题了,能ping通,但就是远程登录服务器后,服务器无法响应. 在本机测试发现ftp服务可以使用,于是就想通过ftp就行重启服务器.可是倒弄了半天,也没有弄好. 唉,只能放弃此想法.另谋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR7E4b.html" rel="bookmark" class="title">基本声明认证，如果有二个站点，主域相同，怎么共用登录信息</a>
					<div>
						问题描述 基本声明认证,如果有二个站点,主域相同,怎么共用登录信息 基本声明认证,如果有二个站点,主域相同,怎么共用登录信息怎么在一个站点中登录,另一个站点也登陆.c# asp.net mvc 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX3nVz.html" rel="bookmark" class="title">convertview-convertView&period;setSelected&lpar;true&rpar; 不起作用</a>
					<div>
						问题描述 convertView.setSelected(true) 不起作用 我定义了一个GridView的adapter,当我在getView中设置 convertView.setSelected ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7goZM.html" rel="bookmark" class="title">c语言-C语言素数的编程问题，求大家解答</a>
					<div>
						问题描述 C语言素数的编程问题,求大家解答 这些代码编译没有问题,我测试了几个数也没有问题,为什么放到AMC的OJ系统一直说答案错误? 求大家看看 谢谢了! 问题要求是输入整数,判断素数 如果是就输出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKB1lb.html" rel="bookmark" class="title">祝福：新春新年大吉大利。问鼎天下，谁与争锋。非递归非交换非转数组非无序全排列组合算法，诚邀比、测、评。</a>
					<div>
						问题描述 或许有人觉得口气好大?自信足证!1.就该算法我所提出的几点比测评,不要空口无凭,要有力证据.2.比测评越全面越详细,有文字或图片,高分就归你了.3.我的想法不怕被人知道,我这个算法想得之最, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rX10z.html" rel="bookmark" class="title">企业qq-如何在win10上同时登陆企业QQ和QQ</a>
					<div>
						问题描述 如何在win10上同时登陆企业QQ和QQ win10上无法停止企业QQ服务QQEIMPlatform进程 解决方案 http://zhidao.baidu.com/link?url=v68l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRW4wb.html" rel="bookmark" class="title">Win7系统分区（C盘）扩容的一种可行的解决方案</a>
					<div>
						Windows系统的系统分区(一般就是C盘)随着补丁的一次次安装,剩余空间会越来越小,怎么办? 除了在一开始就分很大的空间给系统分区(C盘)的方法外,其实还可以考虑后期扩容的解决方案. 下面描述一种验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEGBvM.html" rel="bookmark" class="title">Uvaoj 10048 - Audiophobia（Floyd算法变形）</a>
					<div>
						/* 题目大意: 从一个点到达另一个点有多条路径,求这多条路经中最大噪音值的最小值! . 思路:最多有100个点,然后又是多次查询,想都不用想,Floyd算法走起! */ #include&lt;io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ91Qp.html" rel="bookmark" class="title">EverVim 20170523 改善 Windows 下安装&amp;amp&semi;使用</a>
					<div>
						EverVim 20170523 更新,改善了在Windows下的使用和安装体验.版本发布仅为公布更新日志,安装时请仍使用 master 分支 本次更新日志 Windows 解决了Windows下的安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEGLZM.html" rel="bookmark" class="title">小米的成功是一种&OpenCurlyDoubleQuote;非理性繁荣&rdquo;？</a>
					<div>
						小米的成功是一种&quot;非理性繁荣&quot;? 时间:2014-10-27 10:43 来源:钛媒体 作者:开眼二郎 如果说在小米成长的过程中存在有像饥饿营销.粉丝经济.尖叫的性价比等多样非理性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAnwEb.html" rel="bookmark" class="title">java 作的界面工具条消失</a>
					<div>
						问题描述 我是一个自学的新手,用java作了一个界面操作程序,有菜单项.有工具条,工具条在菜单的下面,但有时点击菜单项或工具条按键后(新开一个操作窗口),工具条就消失了,当鼠标移入工具条区后,移到那个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBlNOz.html" rel="bookmark" class="title">des-求大神帮把C&plus;&plus;的DES用java写出来，C&plus;&plus;代码如下</a>
					<div>
						问题描述 求大神帮把C++的DES用java写出来,C++代码如下 #include &lt;iostream&gt; #include &lt;afx.h&gt; #include &lt;tcha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Ge5Xp.html" rel="bookmark" class="title">微博IPO定价17至19美元 拟筹资4&period;37亿美元</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯 北京时间4月5日凌晨消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1Y4kb.html" rel="bookmark" class="title">Java 面试题和答案 -（上）&lowbar;java</a>
					<div>
						本文我们将要讨论Java面试中的各种不同类型的面试题,它们可以让雇主测试应聘者的Java和通用的面向对象编程的能力.下面的章节分为上下两篇,第一篇将要讨论面向对象编程和它的特点,关于Java和它的功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QBV5M.html" rel="bookmark" class="title">IE报错&OpenCurlyDoubleQuote;Internet Explorer 已停止工作&rdquo;的解决方法</a>
					<div>
						IE报错&quot;Internet Explorer 已停止工作&quot;     一般情况下,只要重启IE或者重启电脑就不会弹出这个报错对话框了.但是当这个报错经常出现,出现频率很高的时候就要注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZXwqb.html" rel="bookmark" class="title">这个程序不知为什么会抛出socket is closed异常，</a>
					<div>
						问题描述 publicclasssocket{Socketsocket;publicsocket(){try{socket=newSocket(&quot;127.0.0.1&quot;,8834); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0vl9p.html" rel="bookmark" class="title">&period;Lss文件如何打开&quest;</a>
					<div>
						问题描述 本人手里有个.LSS文件.不知用什么软件可以打开. 解决方案 解决方案二:怎么没人看呐解决方案三:.lss就是文本文件来的,可以用普通的文本编辑器来打开解决方案四:文本编辑器打不开.打开全是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
